#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    string s;
    cin>>s;
    int a,b;
    cin>>a>>b;
    if(abs(a-b)>1)
    {
        cout<<"nemoguce";
        return 0;
    }
    else
    {
        if(a>=b)
        {
            for(int i=0;i<a+b;i++)
            {
                if(i%2==0)
                    cout<<s[0];
                else
                    cout<<s[1];

            }
        }
        else
        {
            for(int i=0;i<a+b;i++)
            {
                if(i%2==0)
                {
                    cout<<s[1];
                }
                else
                    cout<<s[0];
            }
        }
    }
    return 0;
}